> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowra.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List auth configurations

> List OAuth or API-key auth configurations used by your toolkits (e.g. Slack, Google). Use to see which connections are set up and manage credentials.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/auth_configs
openapi: 3.0.0
info:
  title: Flowra API (API Key Endpoints)
  description: >-
    **Flowra** is an AI-powered platform for building agents, workflows, and
    integrations.


    ### Capabilities

    - **Tools & Toolkits** – Define and group tools for agents and workflows.

    - **Workflows** – Orchestrate steps and automate processes.

    - **Triggers** – Schedule or event-based execution.

    - **Auth & Connections** – OAuth, API keys, and connected accounts.

    - **MCP** – Model Context Protocol server integration.

    - **Knowledge / RAG** – Add files and URLs for retrieval-augmented
    generation.


    ### Authentication

    Use the **x-api-key** header with a project API key to access endpoints that
    support API Key auth. Create and manage API keys in the dashboard under your
    project settings.


    Only endpoints that support API Key authentication via the @ApiKeyEnabled()
    decorator.


    Send x-api-key (required). On multi-tenant endpoints, optionally send
    x-username to act as an external user.
  version: '1.0'
  contact:
    name: Flowra
    url: https://flowra.dev
servers:
  - url: https://flowra.dev
    description: Flowra API
security: []
tags:
  - name: Users
    description: User profile
  - name: External Users
    description: End-user identities inside a project (x-username)
  - name: Auth Configs
    description: OAuth and API key configs for toolkits
  - name: Connected Accounts
    description: OAuth connected accounts and link creation
  - name: Toolkits
    description: List and search toolkits
  - name: Tools
    description: List, execute, and manage tools
  - name: Skills
    description: Browse, create, import, and install skills
  - name: Workflow & Agent
    description: Create, run, and inspect workflows and agents
  - name: Triggers
    description: Schedule and event-based trigger instances
  - name: Chat
    description: Threads and streaming agent runs
  - name: File
    description: Upload, list, and download files
  - name: Knowledge
    description: RAG knowledge collections
  - name: Table
    description: Collections and documents
  - name: Sandbox
    description: Ephemeral and durable code sandboxes
  - name: Browser
    description: Live browser sessions and view
  - name: LLM
    description: List AI models and generate completions
  - name: MCP
    description: MCP server management
  - name: usage
    description: Credit balance and usage ledger for the project API key
paths:
  /api/v1/auth_configs:
    get:
      tags:
        - Auth Configs
      summary: List auth configurations
      description: >-
        List OAuth or API-key auth configurations used by your toolkits (e.g.
        Slack, Google). Use to see which connections are set up and manage
        credentials.
      operationId: AuthConfigController_getAuthConfigs
      parameters:
        - name: q
          required: false
          in: query
          description: Search keyword for filtering results
          schema:
            example: john doe
            type: string
        - name: page
          required: false
          in: query
          description: Page number (1-based)
          schema:
            minimum: 1
            default: 1
            example: 1
            type: number
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 100
            default: 10
            example: 10
            type: number
        - name: offset
          required: false
          in: query
          description: Number of items to skip (for offset-based pagination)
          schema:
            minimum: 0
            example: 0
            type: number
        - name: sortBy
          required: false
          in: query
          description: Field name to sort by
          schema:
            example: createdAt
            type: string
        - name: sortOrder
          required: false
          in: query
          description: Sort order
          schema:
            default: DESC
            example: DESC
            enum:
              - ASC
              - DESC
            type: string
        - name: fields
          required: false
          in: query
          description: Comma-separated list of fields to include in response
          schema:
            example: id,name,email
            type: string
        - name: provider
          required: false
          in: query
          description: Provider to filter by
          schema:
            example: COMPOSIO
            enum:
              - COMPOSIO
              - LOCAL
            type: string
        - name: toolkitSlug
          required: false
          in: query
          description: Comma-separated list of toolkit slugs to filter auth configs by
          schema:
            example: gmail,slack
            type: string
        - name: deprecatedAppId
          required: false
          in: query
          description: Legacy app id filter
          schema:
            example: app_gmail
            type: string
        - name: deprecatedStatus
          required: false
          in: query
          description: Legacy status filter
          schema:
            example: ENABLED
            enum:
              - ENABLED
              - DISABLED
            type: string
        - name: showDisabled
          required: false
          in: query
          description: Show disabled auth configs
          schema:
            default: false
            example: false
            type: boolean
        - name: search
          required: false
          in: query
          description: Search auth configs by name
          schema:
            example: Gmail
            type: string
        - name: cursor
          required: false
          in: query
          description: >-
            Cursor for pagination. The cursor is a base64 encoded string of the
            page and limit.
          schema:
            example: eyJwYWdlIjoxLCJsaW1pdCI6MTB9
            type: string
      responses:
        '200':
          description: Auth configs retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthConfigItemDtoPaginatedResponse'
              example:
                success: true
                message: Data retrieved successfully
                data:
                  - id: auth_config_123
                    uuid: uuid_123
                    type: default
                    toolkit:
                      slug: slack
                      logo: https://example.com/logo.png
                    name: slack-9qmlw6
                    displayName: Slack staging
                    authScheme: OAUTH2
                    provider: COMPOSIO
                    externalId: auth_config_123
                    isProviderManaged: true
                    credentials: {}
                    proxyConfig:
                      proxyUrl: https://proxy.example.com
                      proxyAuthKey: auth_key_123
                    status: ENABLED
                    createdBy: user_123
                    createdAt: '2023-01-01T00:00:00Z'
                    lastUpdatedAt: '2023-01-01T00:00:00Z'
                    noOfConnections: 5
                    expectedInputFields:
                      - {}
                    restrictToFollowingTools:
                      - tool1
                      - tool2
                    toolAccessConfig:
                      toolsForConnectedAccountCreation:
                        - tool1
                        - tool2
                      toolsAvailableForExecution:
                        - tool3
                        - tool4
                    deprecatedParams:
                      defaultConnectorId: connector_123
                      memberUuid: member_uuid_123
                      toolkitId: toolkit_123
                      expectedInputFields: {}
                total: 100
                totalTools: 5000
                page: 1
                limit: 20
                totalPages: 5
                hasNextPage: true
                hasPreviousPage: false
      security:
        - x-api-key: []
components:
  schemas:
    AuthConfigItemDtoPaginatedResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Success status
          example: true
        message:
          type: string
          description: Response message
          example: Data retrieved successfully
        data:
          description: Array of items
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: Auth config ID
                example: auth_config_123
              uuid:
                type: string
                description: Auth config UUID
                example: uuid_123
              type:
                enum:
                  - default
                  - custom
                type: string
                description: Auth config type
                example: default
              toolkit:
                type: object
                properties:
                  slug:
                    type: string
                    description: Toolkit slug
                    example: slack
                  logo:
                    type: string
                    description: Toolkit logo URL
                    example: https://example.com/logo.png
                required:
                  - slug
                  - logo
              name:
                type: string
                description: Internal AuthConfig name (Composio sync id)
                example: slack-9qmlw6
              displayName:
                type: string
                nullable: true
                description: Optional UI display label
                example: Slack staging
              authScheme:
                enum:
                  - OAUTH1
                  - OAUTH2
                  - S2S_OAUTH2
                  - API_KEY
                  - BASIC
                  - BEARER_TOKEN
                  - BILLCOM_AUTH
                  - GOOGLE_SERVICE_ACCOUNT
                  - NO_AUTH
                  - BASIC_WITH_JWT
                  - CALCOM_AUTH
                  - SERVICE_ACCOUNT
                  - SAML
                  - DCR_OAUTH
                  - COOKIE
                  - WHATSAPP_QR
                type: string
                description: Authentication scheme
                example: OAUTH2
              provider:
                enum:
                  - COMPOSIO
                  - LOCAL
                type: string
                description: Provider (COMPOSIO or LOCAL)
                example: COMPOSIO
              externalId:
                type: string
                description: External ID from the provider
                example: auth_config_123
              isProviderManaged:
                type: boolean
                description: Whether this auth is provider-managed (by Local or Composio)
                example: true
              credentials:
                type: object
                description: Credentials object
                additionalProperties: true
              proxyConfig:
                type: object
                properties:
                  proxyUrl:
                    type: string
                    description: Proxy URL
                    example: https://proxy.example.com
                  proxyAuthKey:
                    type: string
                    description: Proxy authentication key
                    example: auth_key_123
                required:
                  - proxyUrl
                  - proxyAuthKey
              status:
                enum:
                  - ENABLED
                  - DISABLED
                type: string
                description: Auth config status
                example: ENABLED
              createdBy:
                type: string
                description: Created by user
                example: user_123
              createdAt:
                type: string
                description: Creation timestamp
                example: '2023-01-01T00:00:00Z'
              lastUpdatedAt:
                type: string
                description: Last updated timestamp
                example: '2023-01-01T00:00:00Z'
              noOfConnections:
                type: number
                description: Number of connections
                example: 5
              expectedInputFields:
                type: array
                description: Expected input fields
                items:
                  type: object
              restrictToFollowingTools:
                description: Restricted tools
                example:
                  - tool1
                  - tool2
                type: array
                items:
                  type: string
              toolAccessConfig:
                type: object
                properties:
                  toolsForConnectedAccountCreation:
                    description: Tools for connected account creation
                    example:
                      - tool1
                      - tool2
                    type: array
                    items:
                      type: string
                  toolsAvailableForExecution:
                    description: Tools available for execution
                    example:
                      - tool3
                      - tool4
                    type: array
                    items:
                      type: string
              deprecatedParams:
                type: object
                properties:
                  defaultConnectorId:
                    type: string
                    description: Default connector ID
                    example: connector_123
                  memberUuid:
                    type: string
                    description: Member UUID
                    example: member_uuid_123
                  toolkitId:
                    type: string
                    description: Toolkit ID
                    example: toolkit_123
                  expectedInputFields:
                    type: object
                    description: Expected input fields
                    additionalProperties: true
            required:
              - id
              - uuid
              - type
              - toolkit
              - name
              - authScheme
              - provider
              - isProviderManaged
              - credentials
              - proxyConfig
              - status
              - createdBy
              - createdAt
              - lastUpdatedAt
              - noOfConnections
              - expectedInputFields
              - restrictToFollowingTools
              - toolAccessConfig
              - deprecatedParams
          example:
            - id: auth_config_123
              uuid: uuid_123
              type: default
              toolkit:
                slug: slack
                logo: https://example.com/logo.png
              name: slack-9qmlw6
              displayName: Slack staging
              authScheme: OAUTH2
              provider: COMPOSIO
              externalId: auth_config_123
              isProviderManaged: true
              credentials: {}
              proxyConfig:
                proxyUrl: https://proxy.example.com
                proxyAuthKey: auth_key_123
              status: ENABLED
              createdBy: user_123
              createdAt: '2023-01-01T00:00:00Z'
              lastUpdatedAt: '2023-01-01T00:00:00Z'
              noOfConnections: 5
              expectedInputFields:
                - {}
              restrictToFollowingTools:
                - tool1
                - tool2
              toolAccessConfig:
                toolsForConnectedAccountCreation:
                  - tool1
                  - tool2
                toolsAvailableForExecution:
                  - tool3
                  - tool4
              deprecatedParams:
                defaultConnectorId: connector_123
                memberUuid: member_uuid_123
                toolkitId: toolkit_123
                expectedInputFields: {}
        total:
          type: number
          description: Total number of items across all pages
          example: 100
        totalTools:
          type: number
          description: >-
            Optional secondary total (e.g. nested tools across all matching
            toolkits)
          example: 5000
        page:
          type: number
          description: Current page number (1-based)
          example: 1
        limit:
          type: number
          description: Number of items per page
          example: 20
        totalPages:
          type: number
          description: Total number of pages
          example: 5
        hasNextPage:
          type: boolean
          description: Whether there is a next page
          example: true
        hasPreviousPage:
          type: boolean
          description: Whether there is a previous page
          example: false
      required:
        - success
        - message
        - data
        - total
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Project API key. Create and manage keys in the dashboard under Project →
        API Keys. Send as header: x-api-key: <your-key>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.